Bug 1572183 - Review Request: perl-Menlo-Legacy - Legacy internal and client support for Menlo
Summary: Review Request: perl-Menlo-Legacy - Legacy internal and client support for Menlo
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1571788 1572199
TreeView+ depends on / blocked
 
Reported: 2018-04-26 11:04 UTC by Jitka Plesnikova
Modified: 2018-05-02 07:28 UTC (History)
3 users (show)

Fixed In Version: perl-Menlo-Legacy-1.9021-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 07:28:42 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2018-04-26 11:04:43 UTC
Spec URL: https://jplesnik.fedorapeople.org/perl-Menlo-Legacy/perl-Menlo-Legacy.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Menlo-Legacy/perl-Menlo-Legacy-1.9019-1.fc29.src.rpm

Description:
Menlo::Legacy is a package to install Menlo::CLI::Compat which is a
compatibility library that implements the classic version of cpanminus
internals and behavios. This is so that existing users of cpanm and API
clients such as Carton, Carmel and App::cpm) can rely on the stable
features and specific behaviors of cpanm.

Fedora Account System Username: jplesnik@redhat.com

Comment 1 Robert-André Mauchin 🐧 2018-04-26 15:46:58 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: 987c57435b822856fe539694aacc721253e87b37ef973d9dd65074184bc6f6a6) is original. Ok.
Summary verified from lib/Menlo/Legacy.pm. Ok.
Description verified from lib/Menlo/Legacy.pm. Ok.
License verified from lib/Menlo/Legacy.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-Menlo-Legacy.spec review-perl-Menlo-Legacy/results/perl-Menlo-Legacy-1.9019-1.fc29.noarch.rpm review-perl-Menlo-Legacy/results/perl-Menlo-Legacy-1.9019-1.fc29.src.rpm      
perl-Menlo-Legacy.noarch: W: spelling-error %description -l en_US Compat -> Com pat, Com-pat, Compact
perl-Menlo-Legacy.noarch: W: spelling-error %description -l en_US cpanminus -> minuscules
perl-Menlo-Legacy.noarch: W: spelling-error %description -l en_US behavios -> behaviors, behavior
perl-Menlo-Legacy.noarch: W: spelling-error %description -l en_US cpanm -> panama
perl-Menlo-Legacy.noarch: W: spelling-error %description -l en_US cpm -> com, cm, pm
perl-Menlo-Legacy.src: W: spelling-error %description -l en_US Compat -> Com pat, Com-pat, Compact
perl-Menlo-Legacy.src: W: spelling-error %description -l en_US cpanminus -> minuscules
perl-Menlo-Legacy.src: W: spelling-error %description -l en_US behavios -> behaviors, behavior
perl-Menlo-Legacy.src: W: spelling-error %description -l en_US cpanm -> panama
perl-Menlo-Legacy.src: W: spelling-error %description -l en_US cpm -> com, cm, pm
2 packages and 1 specfiles checked; 0 errors, 10 warnings.

$ rpm -q -lv -p perl-Menlo-Legacy-1.9019-1.fc29.noarch.rpm 
drwxr-xr-x    2 root    root                        0 avril 26 17:29 /usr/share/doc/perl-Menlo-Legacy
-rw-r--r--    1 root    root                       93 avril 25 11:15 /usr/share/doc/perl-Menlo-Legacy/Changes
-rw-r--r--    1 root    root                      825 avril 25 11:15 /usr/share/doc/perl-Menlo-Legacy/README
drwxr-xr-x    2 root    root                        0 avril 26 17:29 /usr/share/licenses/perl-Menlo-Legacy
-rw-r--r--    1 root    root                    18442 avril 25 11:15 /usr/share/licenses/perl-Menlo-Legacy/LICENSE
-rw-r--r--    1 root    root                     1313 avril 26 17:29 /usr/share/man/man3/Menlo::CLI::Compat.3pm.gz
-rw-r--r--    1 root    root                     1543 avril 26 17:29 /usr/share/man/man3/Menlo::Legacy.3pm.gz
drwxr-xr-x    2 root    root                        0 avril 26 17:29 /usr/share/perl5/vendor_perl/Menlo
drwxr-xr-x    2 root    root                        0 avril 26 17:29 /usr/share/perl5/vendor_perl/Menlo/CLI
-rw-r--r--    1 root    root                    87005 avril 25 11:15 /usr/share/perl5/vendor_perl/Menlo/CLI/Compat.pm
-rw-r--r--    1 root    root                      952 avril 25 11:15 /usr/share/perl5/vendor_perl/Menlo/Legacy.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Menlo-Legacy-1.9019-1.fc29.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.2)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Archive::Tar)
      1 perl(Archive::Zip)
      1 perl(Capture::Tiny)
      1 perl(Config)
      1 perl(constant)
      1 perl(CPAN::Common::Index::LocalPackage)
      1 perl(CPAN::DistnameInfo)
      1 perl(CPAN::Meta)
      1 perl(CPAN::Meta::Check)
      1 perl(CPAN::Meta::Requirements)
      1 perl(CPAN::Meta::YAML)
      1 perl(Cwd)
      1 perl(Digest::SHA)
      1 perl(ExtUtils::Manifest)
      1 perl(File::Basename)
      1 perl(File::Copy)
      1 perl(File::Find)
      1 perl(File::HomeDir)
      1 perl(File::Path)
      1 perl(File::pushd)
      1 perl(File::Spec)
      1 perl(File::Temp)
      1 perl(File::Which)
      1 perl(Getopt::Long)
      1 perl(HTTP::Tinyish)
      1 perl(JSON::PP)
      1 perl(local::lib)
      1 perl(Menlo) >= 1.9018
      1 perl(Menlo::Builder::Static)
      1 perl(Menlo::Dependency)
      1 perl(Menlo::Index::MetaCPAN)
      1 perl(Menlo::Index::MetaDB)
      1 perl(Menlo::Index::Mirror)
      1 perl(Menlo::Util)
      1 perl(Module::CoreList)
      1 perl(Module::CPANfile)
      1 perl(Module::Metadata)
      1 perl(Module::Signature)
      1 perl(Parse::PMFile)
      1 perl(Safe)
      1 perl(strict)
      1 perl(Symbol)
      1 perl(version)
      1 perl(version::vpp)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p perl-Menlo-Legacy-1.9019-1.fc29.noarch.rpm 
perl(Menlo::CLI::Compat) = 1.9019
perl(Menlo::Legacy) = 1.9019
perl-Menlo-Legacy = 1.9019-1.fc29
Binary provides are Ok.


Package builds in F28 (https://koji.fedoraproject.org/koji/taskinfo?taskID=26578210)
Ok

 - Installation error:

DEBUG util.py:482:  BUILDSTDERR: Error: Transaction check error:
DEBUG util.py:482:  BUILDSTDERR:   file /usr/share/perl5/vendor_perl/Menlo/CLI/Compat.pm conflicts between attempted installs of perl-Menlo-Legacy-1.9019-1.fc29.noarch and perl-Menlo-1.9018-1.fc29.noarch

I assume this will be solved with perl-Menlo-1.9019.

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved.

Comment 2 Petr Pisar 2018-04-27 07:31:23 UTC
This package should explicitly conflict with perl-Menlo < 1.9019.

Comment 3 Gwyn Ciesla 2018-04-27 12:32:22 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Menlo-Legacy

Comment 4 Jitka Plesnikova 2018-05-02 07:28:42 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.